Subject: bug#33887: 26.1; Emacs hangs for several seconds when going to the end of an XML file in nXML mode

From: Eli Zaretskii <[email-masked]>
Date: Thu, 27 Dec 2018 18:43:14 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Vincent Lefevre <[email-masked]>, [email-masked]
> Date: Thu, 27 Dec 2018 11:39:06 -0500
> 
> > The profile (see below) blames syntax-ppss called by
> > sgml-syntax-propertize, so I suspect commit 0055190, which added
> > sgml-syntax-propertize-inside to sgml-syntax-propertize.
> 
> Sounds right, but I'm not sure what to do about this.
> I don't wonder why so much time is passed on syntax-ppss, which is
> generally expected to be relatively fast.

Why was sgml-syntax-propertize-inside added?  Is its effect an
absolute must, or merely a nice-to-have feature?  If the latter,
perhaps a defcustom that could disable that call will be an okay
solution, at least as a stopgap?